Bug 165847 - CAN-2005-2498 PHP PEAR:XMLRPC eval code injection
Summary: CAN-2005-2498 PHP PEAR:XMLRPC eval code injection
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php   
(Show other bugs)
Version: 4
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=important,embargo=yes,source=v...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-12 20:06 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-01 10:39:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-08-12 20:06:52 UTC
+++ This bug was initially created as a clone of Bug #165846 +++

This issue was discovered by Stefan Esser:

This time it is not an escaping issue, but a logical error that allows
an attacker to nest XML tags in a way, that a single doublequote will be
appended to the eval string. The next string tag will add another
doublequote, then the string data and a closing doublequote. It should
be obvious that this means the stringdata is not handled as string but
as actual code due to this.

Comment 1 Josh Bressers 2005-08-12 20:08:02 UTC
This issue should also affect FC3

Comment 2 Josh Bressers 2005-08-15 13:10:54 UTC
This issue is now public:
http://marc.theaimsgroup.com/?l=full-disclosure&m=112410998530016&w=2

Comment 3 Fedora Update System 2005-08-25 16:56:26 UTC
From User-Agent: XML-RPC

freeradius-1.0.1-2.FC3.1 has been pushed for FC3, which should resolve this issue.

If these issues are still present in this version, then please re-open this bug.


Comment 4 Fedora Update System 2005-08-25 16:56:39 UTC
From User-Agent: XML-RPC

php-4.3.11-2.7 has been pushed for FC3, which should resolve this issue.

If these issues are still present in this version, then please re-open this bug.


Comment 5 Fedora Update System 2005-08-25 16:56:51 UTC
From User-Agent: XML-RPC

php-5.0.4-10.4 has been pushed for FC4, which should resolve this issue.

If these issues are still present in this version, then please re-open this bug.



Note You need to log in before you can comment on or make changes to this bug.